Knowledgebase

Search:     Advanced search

Surround SCM RDBMS Support

Article ID: 676  |  Last updated: 21 Nov, 2016

The Surround SCM Server database and mainline branches are stored in a Relational Database Management Systems (RDBMS). Following are the supported platforms, database vendors, and versions for the current version of Surround SCM.

Refer to the Surround SCM installation help for more information about setting up RDBMS databases.

Note: PostgreSQL 9.1.2 is bundled in the current version of the Surround SCM installer. You can install PostgreSQL when installing the Surround SCM Server for the first time if the PostgreSQL version supports the operating system version. Regardless of the RDBMS, make sure the version you use is supported on the operating system you are installing it on. See the RDBMS vendor documentation for information about supported operating systems.

Windows

  • Microsoft SQL Server
    • 2008 Enterprise and Standard Editions
    • 2012 Enterprise, Standard, and Business Intelligence Editions
    • 2014 Enterprise, Standard, and Business Intelligence Editions
    • 2016
  • Oracle 10g, 11g, 12c
  • PostgreSQL 8.3.3, 8.3.5, 8.4, 9.0, 9.1, 9.2, 9.3, 9.4, 9.5, 9.6

Linux

  • Oracle 10g, 11g, 12c
  • PostgreSQL 8.3.3, 8.3.5, 8.4, 9.0, 9.1, 9.2, 9.3, 9.4, 9.5, 9.6

Oracle OCI driver

If you use Oracle, you must download and install the Oracle OCI driver on the Surround SCM Server computer:

Article ID: 676  |   Last updated: 21 Nov, 2016
Tags
database rdbms Oracle PostgreSQL SQL Server OCI

Prev   Next
Uninstalling PostgreSQL     Enabling Remote Connections on PostgreSQL Servers